package com.me.asteroids.components;

import com.me.asteroids.GameMode;
import com.me.common.ecs.Component;

public class GameDataComponent implements Component {

    public int score;
    public int lives;
    public int newLifeScore;

    public GameMode gameMode;
    public float gameModeTimer;

    public GameDataComponent() {
        reset();
    }

    public void reset() {
        this.score = 0;
        this.lives = 3;
        this.newLifeScore = 0;

        this.gameMode = GameMode.PLAYING;
        this.gameModeTimer = 0f;
    }

}
